Subject: linux kernel for ppc as elf relocatable

From: mihaela elena grigore <[email-masked]>
Date: Mon, 28 Jul 2008 19:34:28 +0100

Can somebody help me with a few indications regarding how to obtain a 
relocatable vmlinux when compiling the linux kernel for ppc32 ?

For powerpc, by default, the building process results in an ELF 32-bit 
MSB executable statically linked. I saw that for other architectures it 
builds, by default, a relocatable elf file.

Why is it statically linked for some architectures and relocatable for 
others ? How to make it relocatable for ppc32? I assume that changing 
LDFLAGS_vmlinux to '-r' in the Makefile for ppc is not enough... (i'm 
using 2.6.11)

p.s. any comments/answers to my posting, please add me in CC, as i 
didn't subscribe, thank you.